{% extends 'dashboard/dashboard_content.html' %}

{% block head_block %}
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/css/bootstrap-select.min.css">

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/js/bootstrap-select.min.js"></script>


{% endblock %}

{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-check-circle-o"></i>
                Issued ODs
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">
                <div class="container" align="center">
                    <div role="alert" class="alert alert-warning alert-dismissible fade in" align="center">
                        <button aria-label="Close" data-dismiss="alert" class="close" type="button"><span
                                aria-hidden="true">×</span>
                        </button>
                        <p><em> Click on any roll number in the following table to view the profile of the student </em>
                        </p>
                    </div>
                </div>
                <ul class="nav nav-tabs bar_tabs">
                    <li {% if selected_tab == "full" %}class="active" {% else %}
                        class="" {% endif %}>
                        <a aria-expanded="true"
                           id="full"
                           data-toggle="tab" name="od_tab">
                            Full Day ODs
                        </a>
                    </li>
                    <li {% if selected_tab == "hour" %}class="active" {% else %}
                        class="" {% endif %}>
                        <a aria-expanded="false"
                           id="hour"
                           data-toggle="tab" name="od_tab">
                            Hourly ODs
                        </a>
                    </li>
                </ul>
            </div>
            {% if selected_tab == 'full' %}
                <form method="POST" class="form-horizontal form-label-left">{% csrf_token %}
                    <div class="table-responsive">
                        <table class="table table-hover" style="">
                            <thead>
                            <tr>
                                <th>S. No.</th>
                                <th>Roll No</th>
                                <th>Name</th>
                                <th>Reason</th>
                                <th>Start Date</th>
                                <th>End Date</th>
                            </tr>
                            </thead>
                            <tbody>
                            {% for each in list_of_ods %}
                                <tr>
                                    <td>{{ forloop.counter }}</td>
                                    <td><a href="../{{ each.student.roll_no }}"
                                           target="_blank">{{ each.student.roll_no }}</a></td>
                                    <td><a href="../{{ each.student.roll_no }}" target="_blank">{{ each.student }}</a>
                                    </td>
                                    <td style="word-wrap: break-word">{{ each.message }}</td>
                                    <td>{{ each.start_date }}</td>
                                    <td>{{ each.end_date }}</td>
                                    <td><input class="btn1-sm btn-deep-orange" type="button" data-toggle="modal"
                                               data-target="#myModal"
                                               name="delete" id="{{ each.id }}"
                                               value="Delete"></td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </form>
            {% endif %}
            {% if selected_tab == 'hour' %}
                <form method="POST" class="form-horizontal form-label-left">{% csrf_token %}
                    <div class="table-responsive">
                        <table class="table table-hover" style="">
                            <thead>
                            <tr>
                                <th>S. No.</th>
                                <th>Roll No</th>
                                <th>Name</th>
                                <th>Reason</th>
                                <th>Date</th>
                                <th>Hours</th>
                            </tr>
                            </thead>
                            <tbody>
                            {% for each in list_of_ods %}
                                <tr>
                                    <td>{{ forloop.counter }}</td>
                                    <td><a href="../{{ each.student.roll_no }}"
                                           target="_blank">{{ each.student.roll_no }}</a></td>
                                    <td><a href="../{{ each.student.roll_no }}" target="_blank">{{ each.student }}</a>
                                    </td>
                                    <td style="word-wrap: break-word">{{ each.message }}</td>
                                    <td>{{ each.date }}</td>
                                    <td>
                                        {% for hour in each.hour.all %}
                                            {{ hour.hour }}
                                        {% endfor %}
                                    </td>
                                    <td><input class="btn1-sm btn-deep-orange" type="button" data-toggle="modal"
                                               {% if selected_tab == 'full' %}data-target="#myModal"
                                               {% elif selected_tab == 'hour' %}data-target="#myModal1"{% endif %}
                                               name="delete" id="{{ each.id }}"
                                               value="Delete"></td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </form>
            {% endif %}
        </div>
    </div>

    <div class="modal" id="myModal" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel1" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <h4 class="modal-title" id="myModalLabel1">Delete Confirmation</h4>
                </div>
                <div class="modal-body" id="modal_content">
                    <div class="form-horizontal form-label-left">
                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                Register Number
                            </label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <input class="form-control" type="text" id="rollno" disabled>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                Student Name
                            </label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <input class="form-control" type="text" id="name" disabled>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                Reason
                            </label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <textarea id="reason" class="form-control" type="text" disabled></textarea>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                Start Date
                            </label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <input id="startdate" class="form-control" type="text" disabled>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                End Date
                            </label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <input id="enddate" class="form-control" type="text" disabled>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn1 btn1-secondary" data-dismiss="modal">Close</button>
                    <button id="del_btn" type="button" class="btn1 btn1-danger">Confirm Delete</button>
                </div>
            </div>
        </div>
    </div>
    <div class="modal" id="myModal1" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel1" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <h4 class="modal-title" id="myModalLabel1">Delete Confirmation</h4>
                </div>
                <div class="modal-body">
                    <div class="form-horizontal form-label-left">
                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                Register Number
                            </label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <input class="form-control" type="text" id="rollno_hour" disabled>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                Student Name
                            </label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <input class="form-control" type="text" id="name_hour" disabled>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                Reason
                            </label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <textarea id="reason_hour" class="form-control" type="text" disabled></textarea>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                Start Date
                            </label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <input id="date_hour" class="form-control" type="text" disabled>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                Hours
                            </label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <textarea id="hours_list" class="form-control" rows="7" type="text" disabled></textarea>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn1 btn1-secondary" data-dismiss="modal">Close</button>
                    <button id="del_btn_hour" type="button" class="btn1 btn1-danger">Confirm Delete</button>
                </div>
            </div>
        </div>
    </div>

    <form id="dummy_form_tab" method="POST">
        {% csrf_token %}
    </form>

    <form id="dummy_form" method="POST">
        {% csrf_token %}
    </form>

    <form id="dummy_form2" method="POST">
        {% csrf_token %}
    </form>

    <form id="dummy_form_hour" method="POST">
        {% csrf_token %}
    </form>

    <form id="dummy_form2_hour" method="POST">
        {% csrf_token %}
    </form>

    <script type="text/javascript">
        {% if deleted_user %}
            $(function () {
                new PNotify({
                    title: 'Dismissed!',
                    text: 'On Duty cancelled for {{ deleted_user.student }} ({{ deleted_user.student.roll_no }})',
                    type: 'info',
                    styling: 'bootstrap3',
                    mobile: {'styling': true},
                    nonblock: {
                        nonblock: true,
                        nonblock_opacity: '.2'
                    }
                });
            });
        {% endif %}
        {% if error == 'success' %}
            $(function () {
                new PNotify({
                    title: 'Success!',
                    text: '{{ success_message }}',
                    type: 'success',
                    styling: 'bootstrap3',
                    mobile: {'styling': true},
                    nonblock: {
                        nonblock: true,
                        nonblock_opacity: '.2'
                    }
                });
            });
        {% endif %}
        {% if error == 'duplicate' %}
            $(function () {
                new PNotify({
                    title: 'Oh Snap!',
                    text: 'Already Provided OD for this student',
                    type: 'error',
                    styling: 'bootstrap3',
                    min_height: "20px",
                    mobile: {'styling': true},
                    nonblock: {
                        nonblock: true,
                        nonblock_opacity: '.2'
                    }
                });
            });
        {% endif %}
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }
        $('document').ready(function () {
            $('[name="delete"]').click(function () {
                {% if selected_tab == 'full' %}
                    $('#rollno').val($(this).closest('tr').find('td:eq(1)').text());
                    $('#name').val($(this).closest('tr').find('td:eq(2)').text());
                    $('#reason').val($(this).closest('tr').find('td:eq(3)').text());
                    $('#startdate').val($(this).closest('tr').find('td:eq(4)').text());
                    $('#enddate').val($(this).closest('tr').find('td:eq(5)').text());
                    var $hiddenInput = $('<input/>', {
                        type: 'hidden',
                        value: getCookie('csrftoken'),
                        name: 'csrfmiddlewaretoken'
                    });
                    $hiddenInput.appendTo('#dummy_form');

                    var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'delete_id'});
                    $hiddenInput.appendTo('#dummy_form');
                {% endif %}
                {% if selected_tab == 'hour' %}
                    $('#rollno_hour').val($(this).closest('tr').find('td:eq(1)').text());
                    $('#name_hour').val($(this).closest('tr').find('td:eq(2)').text());
                    $('#reason_hour').val($(this).closest('tr').find('td:eq(3)').text());
                    $('#date_hour').val($(this).closest('tr').find('td:eq(4)').text());
                    $('#hours_list').val($(this).closest('tr').find('td:eq(5)').text());
                    var $hiddenInput = $('<input/>', {
                        type: 'hidden',
                        value: getCookie('csrftoken'),
                        name: 'csrfmiddlewaretoken'
                    });
                    $hiddenInput.appendTo('#dummy_form_hour');

                    var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'delete_id_hour'});
                    $hiddenInput.appendTo('#dummy_form_hour');
                {% endif %}
            });
        });

        $(document).on("click", '#del_btn', function (e) {
            $('#dummy_form').submit();
        });
        $(document).on("click", '#del_btn_hour', function (e) {
            $('#dummy_form_hour').submit();
        });

        $('document').ready(function () {
            $('[name="od_tab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('#dummy_form_tab');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'selected_tab'});
                $hiddenInput.appendTo('#dummy_form_tab');

                $('#dummy_form_tab').submit();

            });
        });

    </script>


{% endblock %}